Bug 1375843 - uzbl must not depend on webkitgtk3
Summary: uzbl must not depend on webkitgtk3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: uzbl
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1515769 (view as bug list)
Depends On:
Blocks: webkit1-removal
TreeView+ depends on / blocked
 
Reported: 2016-09-14 05:17 UTC by Michael Catanzaro
Modified: 2017-12-08 16:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-08 16:57:02 UTC


Attachments (Terms of Use)

Description Michael Catanzaro 2016-09-14 05:17:58 UTC
The webkitgtk3 package will be removed from rawhide after Fedora 26 is branched due to the high number of unfixed security vulnerabilities. You must remove this dependency or your package will not be present in Fedora 27.

Please refer to [1] for a FAQ on this matter and be advised that for some packages this may require a substantial amount of work.

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/AKVB363GFCHHJ5MTHGVYHYT6NLLTF5VM/

Comment 1 Fedora End Of Life 2017-02-28 10:18:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Christian M. Grube 2017-12-08 07:59:00 UTC
(In reply to Michael Catanzaro from comment #0)
> The webkitgtk3 package will be removed from rawhide after Fedora 26 is
> branched due to the high number of unfixed security vulnerabilities. You
> must remove this dependency or your package will not be present in Fedora 27.
> 
> Please refer to [1] for a FAQ on this matter and be advised that for some
> packages this may require a substantial amount of work.
> 
> [1]
> https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/
> thread/AKVB363GFCHHJ5MTHGVYHYT6NLLTF5VM/

This Bug is allready happen [1]and of course the package is in Fedora 27.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1515769

Comment 3 Christian M. Grube 2017-12-08 08:10:38 UTC
(In reply to Christian M. Grube from comment #2)
> (In reply to Michael Catanzaro from comment #0)
> > The webkitgtk3 package will be removed from rawhide after Fedora 26 is
> > branched due to the high number of unfixed security vulnerabilities. You
> > must remove this dependency or your package will not be present in Fedora 27.
> > 
> > Please refer to [1] for a FAQ on this matter and be advised that for some
> > packages this may require a substantial amount of work.
> > 
> > [1]
> > https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/
> > thread/AKVB363GFCHHJ5MTHGVYHYT6NLLTF5VM/
> 
> This Bug is allready happen [1]and of course the package is in Fedora 27.
> 
> [1] https://bugzilla.redhat.com/show_bug.cgi?id=1515769

Sorry this was wrong.
My fault.

Comment 4 Michael Catanzaro 2017-12-08 16:17:01 UTC
*** Bug 1515769 has been marked as a duplicate of this bug. ***

Comment 5 Michael Catanzaro 2017-12-08 16:17:57 UTC
(In reply to Michael Catanzaro from comment #0)
> The webkitgtk3 package will be removed from rawhide after Fedora 26 is
> branched due to the high number of unfixed security vulnerabilities. You
> must remove this dependency or your package will not be present in Fedora 27.

Apparently we did not retire packages with broken dependencies this cycle, so uzbl is still around and just does not work. You should retire it manually.

Comment 6 Ben Boeckel 2017-12-08 16:50:23 UTC
Sorry for the lack of response. Upstream, uzbl is still not working completely with WebKit2 (some events are "trapped" in the rendering process and need shipped back to the core process for use in the event management system).

I'll retire it for now and bring it back when it's WebKit2-ready.

Comment 7 Ben Boeckel 2017-12-08 16:57:02 UTC
Now retired.


Note You need to log in before you can comment on or make changes to this bug.